| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Iterator

# Method Iterator()->next()

Method next

  `int next()`

Description

  If this function is defined it should advance the iterator one step, just like `<font face='courier'><a href='../../predef_3A_3A/Iterator/_backtick_add_eq.html'>`+=` (1) would do.

Note

  This is the preferred way to advance the iterator, since it reduces the overhead.

Note

  This function was optional in Pike 7.6 and earlier.

Returns

  Returns `1` if it succeeded in advancing, and `0` (zero) if it has reached the end of the iterator.

See also

  `+ , `+= , `-